package testcases.module1;

import org.testng.ITestContext;
import org.testng.ITestNGMethod;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.BeforeSuite;
import org.testng.annotations.Test;

import java.util.ArrayList;

public class CreateTests {
    @BeforeSuite
    public void preConditionsSetUp(ITestContext preSetupContext) {
        ArrayList<String> enabledTestCasesList = new ArrayList<>();
        ITestNGMethod[] testNGMethod = preSetupContext.getAllTestMethods();
        for (ITestNGMethod allMethods : testNGMethod) {
            enabledTestCasesList.add(allMethods.getMethodName());
        }
        System.out.println("enabledTestCasesList in class 'CreateTests' :: "+enabledTestCasesList);
    }
    @Test
    public void create(){
        System.out.println("Test cases from class 'CreateTests'");
    }
}
